Gets a Deployment Target Type
Gets a Deployment Target Type.
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargetTypes/{deploymentTargetTypeId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargetTypes/{deploymentTargetTypeId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargetTypes/{deploymentTargetTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataPlaneId": 0,
"deploymentTargetConfigurationSchemas": {
"defaultResourceConfigs": {
"Cheap": {
"instanceType": "ml.t2.medium"
},
"Expensive": {
"instanceType": "ml.c5.2xlarge"
}
},
"resourceConfigSchema": {
"properties": {
"instanceType": {
"description": "AWS compute instance type",
"title": "Instance Type",
"type": "string"
}
},
"required": [
"instanceType"
],
"type": "object"
},
"targetConfigSchema": {
"properties": {
"credentials": {
"properties": {
"account": {
"description": "AWS Account ID",
"title": "Account",
"type": "string"
},
"credentials": {
"description": "AWS Credentials File",
"format": "password",
"title": "Credentials",
"type": "string"
}
},
"required": [
"account",
"credentials"
],
"type": "object"
},
"sagemaker": {
"properties": {
"ecrUrl": {
"description": "Amazon Elastic Container Registry URL for model images",
"title": "ECR URL",
"type": "string"
},
"executionRoleArn": {
"description": "The Amazon Resource Name (ARN) of the task execution role that grants the Amazon ECS container agent permission to make AWS API calls on your behalf.",
"title": "Execution Role ARN",
"type": "string"
},
"region": {
"description": "AWS Region",
"title": "Region",
"type": "string"
},
"sagemakerS3ModelsBucket": {
"description": "S3 bucket for storing model artifacts",
"title": "Sagemaker S3 Models Bucket",
"type": "string"
}
},
"required": [
"region",
"executionRoleArn"
],
"type": "object"
}
},
"type": "object"
}
},
"id": 0,
"modelDeploymentConfigurationSchemas": {
"modelSpecificSchema": {
"properties": {
"autoscaling": {
"properties": {
"enabled": {
"default": false,
"description": "Enable autoscaling",
"title": "Autoscaling Enabled",
"type": "Boolean"
},
"maxInstances": {
"default": 4,
"description": "Maximum number of instances running at any time",
"minimum": 0,
"title": "Max Instances",
"type": "Integer"
},
"minInstances": {
"default": 0,
"description": "Minimum number of instances running at any time",
"minimum": 0,
"title": "Min Instances",
"type": "Integer"
}
},
"type": "object"
}
},
"type": "object"
},
"sharedSchema": {
"properties": {
"enableExplanations": {
"default": false,
"description": "Turn on Explainer",
"title": "Enable Explanations",
"type": "Boolean"
}
},
"type": "object"
}
},
"modelDeploymentCustomResourceDefinition": {
"group": "modelserving.dominodatalab.com",
"kind": "SagemakerModelDeployment",
"version": "v1alpha1"
},
"modelDeploymentStateSchemas": {
"modelSpecificSchema": {},
"sharedSchema": {}
},
"modelDeploymentSupportedModelSources": [
"MODELREGISTRY"
],
"modelDeploymentTypeConfigurationSchemas": {
"ASYNC_ENDPOINT": {
"modelSpecificSchema": {
"properties": {
"requestTimeoutSeconds": {
"default": 60,
"maximum": 1800,
"minimum": 1,
"title": "Request Timeout",
"type": "Integer"
}
},
"type": "object"
},
"sharedSchema": {
"properties": {
"maximumQueuedRequests": {
"default": 1000,
"maximum": 10000,
"minimum": 100,
"title": "Maximum queued requests",
"type": "Integer"
}
},
"type": "object"
}
},
"SYNC_ENDPOINT": {
"modelSpecificSchema": {
"properties": {
"serverless": {
"default": false,
"title": "Serverless",
"type": "Boolean"
}
},
"type": "object"
},
"sharedSchema": {
"properties": {
"healthcheck": {
"properties": {
"failureThresholdCount": {
"default": 3,
"description": "(count)",
"minimum": 1,
"title": "Failure Threshold",
"type": "Integer"
},
"initialDelaySeconds": {
"default": 60,
"description": "(seconds)",
"minimum": 0,
"title": "Initial Delay",
"type": "Integer"
},
"periodSeconds": {
"default": 60,
"description": "(seconds)",
"minimum": 5,
"title": "Health check period",
"type": "Integer"
},
"timeoutSeconds": {
"default": 300,
"description": "(seconds)",
"minimum": 1,
"title": "Health check timeout",
"type": "Integer"
}
},
"title": "HealthCheck Fields",
"type": "object"
}
},
"type": "object"
}
}
},
"modelDeploymentTypeStateSchemas": {
"ASYNC_ENDPOINT": {
"modelSpecificSchema": {},
"sharedSchema": {}
},
"SYNC_ENDPOINT": {
"modelSpecificSchema": {},
"sharedSchema": {}
}
},
"name": "SagemakerModelDeployment",
"operatorVersion": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of Deployment Target Type
Response
Success
Deployment Target Type. Each specific schema can have properties that are direct children or one layer deep. Two or more layers of nesting is not supported.
ID of the data plane where the operator is deployed
The Deployment Target configuration schemas. Each configuration can have properties that are direct children or one layer deep. Two or more layers of nesting is not supported.
Show child attributes
Show child attributes
UUID for the Deployment Target Type
Shared and Model Specific configs.
Show child attributes
Show child attributes
Custom Resource Definition for Model Deployment
Show child attributes
Show child attributes
Shared and Model Specific configs.
Show child attributes
Show child attributes
Model sources supported by Domino
MODELREGISTRY ["MODELREGISTRY"]
The supported deployment types. There must be one property present for each deployment type.
Show child attributes
Show child attributes
The supported deployment types. There must be one property present for each deployment type.
Show child attributes
Show child attributes
Internal name for the Deployment Target Type
"aws"
Version of the operator
"1.0.2"
Url to pull logo image from
Related topics
Audit Trail Data GlossaryGets a Deployment TargetGets all Deployment Target TypesGets all non-archived Deployment Targets based on the provided filtersWas this page helpful?
